fk_logs 2.0.0
fk_logs: ^2.0.0 copied to clipboard

Loggy extension to use 'developer.log' with pretty printer in Flutter

fk_logs #

Pub Awesome Flutter Awesome Flutter License

基于 loggy 的二次封装

使用 #

🔩 安装

pubspec.yaml 添加依赖

dependencies:
  fk_logs: <last_version>

⚙️ 配置

Log.init(level: LogLevel.all);

添加 dio 日志拦截器

Dio dio = Dio();
dio.interceptors.add(LoggyDioInterceptor());

🔨 使用

Log.d();
Log.i();
Log.w();
Log.e();

Changelog #

Refer to the Changelog to get all release notes.

0
likes
85
pub points
16%
popularity

Publisher

toutao.cloud

Loggy extension to use 'developer.log' with pretty printer in Flutter

Repository
View/report issues

Documentation

API reference

License

MIT (LICENSE)

Dependencies

dio, flutter, rxdart, stack_trace

More

Packages that depend on fk_logs